package com.fastbee.xunjian.domain;

import com.fastbee.common.annotation.Excel;
import com.fastbee.common.core.domain.BaseEntity;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;


/**
 * 记录对象 klxj_inspection_records
 *
 * @author kenlixunjian
 * @date 2023-08-04
 */

@Data
public class XjInspectionRecords extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    private Long id;

    /**
     * 名称
     */
    @Excel(name = "名称")
    private String name;
    private String personnelsOrTasksOrRecords;
    //查询开始时间
    private String chaxunBeginTime;
    //查询结束时间
    private String chaxunEndTime;
    //点位集合
    private String routesIds;
    /**
     * 任务id
     */
    @Excel(name = "任务id")
    private Long inspectionTaskId;

    /**
     * 计划id
     */
    @Excel(name = "计划id")
    private Long inspectionPlanId;

    /**
     * 开始时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "开始时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date startTime;

    /**
     * 终止时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "终止时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date endTime;

    /** 执行人 */
    @Excel(name = "执行人")
    private Long inspectionPersonnelId;

    /** 点位id */
    @Excel(name = "点位id")
    private Long inspectionRouteId;

    /** 完成状态 */
    @Excel(name = "完成状态")
    private String recordStatus;

    /** 异常状态 */
    @Excel(name = "异常状态")
    private String abnormalStatus;

    /** 经纬度 */
    @Excel(name = "经纬度")
    private String latAndLong;

    /** 图片 */
    @Excel(name = "图片")
    private String picture;

    /**
     * 备注
     */
    @Excel(name = "备注")
    private String remarks;
    private String abnormalType;
    /**
     * 行政区域码
     */
    @Excel(name = "行政区域码")
    private String quyuma;

    /**
     * 项目id
     */
    @Excel(name = "项目id")
    private Long projectId;

    /**
     * 班组id
     */
    @Excel(name = "班组id")
    private Long groupId;


    public XjInspectionRoutes route;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Long getInspectionTaskId() {
        return inspectionTaskId;
    }

    public void setInspectionTaskId(Long inspectionTaskId) {
        this.inspectionTaskId = inspectionTaskId;
    }

    public Long getInspectionPlanId() {
        return inspectionPlanId;
    }

    public void setInspectionPlanId(Long inspectionPlanId) {
        this.inspectionPlanId = inspectionPlanId;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public Long getInspectionPersonnelId() {
        return inspectionPersonnelId;
    }

    public void setInspectionPersonnelId(Long inspectionPersonnelId) {
        this.inspectionPersonnelId = inspectionPersonnelId;
    }

    public Long getInspectionRouteId() {
        return inspectionRouteId;
    }

    public void setInspectionRouteId(Long inspectionRouteId) {
        this.inspectionRouteId = inspectionRouteId;
    }

    public String getRecordStatus() {
        return recordStatus;
    }

    public void setRecordStatus(String recordStatus) {
        this.recordStatus = recordStatus;
    }

    public String getAbnormalStatus() {
        return abnormalStatus;
    }

    public void setAbnormalStatus(String abnormalStatus) {
        this.abnormalStatus = abnormalStatus;
    }

    public String getLatAndLong() {
        return latAndLong;
    }

    public void setLatAndLong(String latAndLong) {
        this.latAndLong = latAndLong;
    }

    public String getPicture() {
        return picture;
    }

    public void setPicture(String picture) {
        this.picture = picture;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    public String getQuyuma() {
        return quyuma;
    }

    public void setQuyuma(String quyuma) {
        this.quyuma = quyuma;
    }

    public Long getProjectId() {
        return projectId;
    }

    public void setProjectId(Long projectId) {
        this.projectId = projectId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("name", getName())
                .append("inspectionTaskId", getInspectionTaskId())
                .append("inspectionPlanId", getInspectionPlanId())
                .append("startTime", getStartTime())
                .append("endTime", getEndTime())
                .append("inspectionPersonnelId", getInspectionPersonnelId())
                .append("inspectionRouteId", getInspectionRouteId())
                .append("recordStatus", getRecordStatus())
                .append("abnormalStatus", getAbnormalStatus())
                .append("latAndLong", getLatAndLong())
                .append("picture", getPicture())
                .append("remarks", getRemarks())
                .append("quyuma", getQuyuma())
                .append("projectId", getProjectId())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateTime", getUpdateTime())
                .append("updateBy", getUpdateBy())
                .toString();
    }
}
